be.fgov.ehealth.genericinsurability.core.v1

## Class InsurabilityItemType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.InsurabilityItemType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:05:50+01:00",
                 comments="JAXB RI v2.2.11")
      public class InsurabilityItemType
      extends Object
      implements Serializable

  Java class for InsurabilityItemType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InsurabilityItemType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="RegNrWithMut" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}RegNrWithMutType" minOccurs="0"/>
               <element name="Mutuality" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}MutualityType"/>
               <element name="Period" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}PeriodType"/>
               <element name="CT1" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CTType" minOccurs="0"/>
               <element name="CT2" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CTType" minOccurs="0"/>
               <element name="PaymentApproval" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="InsurabilityDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsurabilityItemType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCT1()` Gets the value of the ct1 property.
    `String` | `getCT2()` Gets the value of the ct2 property.
    `org.joda.time.DateTime` | `getInsurabilityDate()` Gets the value of the insurabilityDate property.
    `String` | `getMutuality()` Gets the value of the mutuality property.
    `String` | `getPaymentApproval()` Gets the value of the paymentApproval property.
    `PeriodType` | `getPeriod()` Gets the value of the period property.
    `String` | `getRegNrWithMut()` Gets the value of the regNrWithMut property.
    `void` | `setCT1(String value)` Sets the value of the ct1 property.
    `void` | `setCT2(String value)` Sets the value of the ct2 property.
    `void` | `setInsurabilityDate(org.joda.time.DateTime value)` Sets the value of the insurabilityDate property.
    `void` | `setMutuality(String value)` Sets the value of the mutuality property.
    `void` | `setPaymentApproval(String value)` Sets the value of the paymentApproval property.
    `void` | `setPeriod(PeriodType value)` Sets the value of the period property.
    `void` | `setRegNrWithMut(String value)` Sets the value of the regNrWithMut property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsurabilityItemType

          public InsurabilityItemType()

  - ### Method Detail

    - #### getRegNrWithMut

          public String getRegNrWithMut()

      Gets the value of the regNrWithMut property.
      Returns:
        possible object is `String`

    - #### setRegNrWithMut

          public void setRegNrWithMut(String value)

      Sets the value of the regNrWithMut property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMutuality

          public String getMutuality()

      Gets the value of the mutuality property.
      Returns:
        possible object is `String`

    - #### setMutuality

          public void setMutuality(String value)

      Sets the value of the mutuality property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPeriod

          public PeriodType getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `PeriodType`

    - #### setPeriod

          public void setPeriod(PeriodType value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `PeriodType`

    - #### getCT1

          public String getCT1()

      Gets the value of the ct1 property.
      Returns:
        possible object is `String`

    - #### setCT1

          public void setCT1(String value)

      Sets the value of the ct1 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCT2

          public String getCT2()

      Gets the value of the ct2 property.
      Returns:
        possible object is `String`

    - #### setCT2

          public void setCT2(String value)

      Sets the value of the ct2 property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPaymentApproval

          public String getPaymentApproval()

      Gets the value of the paymentApproval property.
      Returns:
        possible object is `String`

    - #### setPaymentApproval

          public void setPaymentApproval(String value)

      Sets the value of the paymentApproval property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInsurabilityDate

          public org.joda.time.DateTime getInsurabilityDate()

      Gets the value of the insurabilityDate property.
      Returns:
        possible object is `String`

    - #### setInsurabilityDate

          public void setInsurabilityDate(org.joda.time.DateTime value)

      Sets the value of the insurabilityDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.